Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.PlayerArgs Class Reference

## Public Member Functions
| constructor (doc, screen_annot, rendition, URL, audio_format, player_settings)
| Constructor, with parameters. More...
| Set (doc, screen_annot, rendition, URL, audio_format, player_settings)
| Set values. More...

## Public Attributes
| audio_format
| The audio format, such as "audio/wav".
| doc
| The FSDK.PDFDoc object of the document. More...
| player_settings
| A FSDK.MediaSettings object.
| rendition
| A FSDK.Rendition object (either a MediaRendition or a RenditionList). More...
| screen_annot
| A FSDK.Screen object. More...
| URL
| Either URL or rendition is required, with URL taking precedence.

## Detailed Description

This class represents player args.

## Member Function Documentation

## ◆ constructor()

FSDK.PlayerArgs.constructor | ( | doc | ,
|  | screen_annot | ,
|  | rendition | ,
|  | URL | ,
|  | audio_format | ,
|  | player_settings |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | doc | The FSDK.PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A FSDK.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A FSDK.Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A FSDK.MediaSettings object.

## ◆ Set()

FSDK.PlayerArgs.Set | ( | doc | ,
|  | screen_annot | ,
|  | rendition | ,
|  | URL | ,
|  | audio_format | ,
|  | player_settings |
| ) |  |

Set values.

Parameters

  [in] | doc | The FSDK.PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A FSDK.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A FSDK.Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A FSDK.MediaSettings object.

Returns
  None.

## Member Data Documentation

## ◆ doc

FSDK.PlayerArgs.doc

The FSDK.PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

## ◆ rendition

FSDK.PlayerArgs.rendition

A FSDK.Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

## ◆ screen_annot

FSDK.PlayerArgs.screen_annot

A FSDK.Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.